extends Node2D
var mold_size:Vector2i


func _ready()->void:
	$"/root".set_script(load("res://rw.gd"))
	print('==================== BEGIN')
	var vwindow:Window = get_window()
	print('_ready(): connecting size_changed to on_size_changed')
	vwindow.size_changed.connect(on_size_changed)
	print('\n_ready(): changing scale to CONTENT_SCALE_MODE_DISABLED')
	vwindow.content_scale_mode = Window.ContentScaleMode.CONTENT_SCALE_MODE_DISABLED
	print('_ready(): changing to 1')
	vwindow.size = Vector2i.ONE
	print('_ready(): changing to 128')
	vwindow.size = Vector2i.ONE * 128
	print('\n_ready(): changing scale to CONTENT_SCALE_MODE_CANVAS_ITEMS')
	vwindow.content_scale_mode = Window.ContentScaleMode.CONTENT_SCALE_MODE_CANVAS_ITEMS
	print('_ready(): changing to 1')
	vwindow.size = Vector2i.ONE
	print('_ready(): changing to 128')
	vwindow.size = Vector2i.ONE * 128
	print('\n_ready(): changing scale to CONTENT_SCALE_MODE_VIEWPORT')
	vwindow.content_scale_mode = Window.ContentScaleMode.CONTENT_SCALE_MODE_VIEWPORT
	print('_ready(): changing to 1')
	vwindow.size = Vector2i.ONE
	print('_ready(): changing to 128')
	vwindow.size = Vector2i.ONE * 128
	print('==================== END')


func _notification(pwhat:int)->void:
	if pwhat == Node.NOTIFICATION_WM_SIZE_CHANGED: print('_notification(NOTIFICATION_WM_SIZE_CHANGED)')


func on_size_changed()->void:
	var vnewsize:Vector2i = get_window().size
	print('    on_size_changed(): changed from %s to %s'%[mold_size, vnewsize])
	mold_size = vnewsize


func _physics_process(_delta:float)->void:
	if Engine.get_physics_frames() % 60 != 0: return
	print('_physics_process(): window size: %s'%get_window().size)
